Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum Attribute.AttributeType

    java.lang.Object
      java.lang.Enum<Attribute.AttributeType>
          nl.liacs.subdisc.Attribute.AttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Attribute.AttributeType>

Enclosing class:
  Attribute

    public static enum Attribute.AttributeType

extends java.lang.Enum<Attribute.AttributeType>

There is only a limited number of AttributeTypes an `Attribute` can have. The AttributeType `enum` contains them all. The `public final String DEFAULT_MISSING_VALUE` gives the default missing value for that AttributeType.

Enum Constant Summary
`BINARY`
`NOMINAL`
`NUMERIC`
`ORDINAL`

Field Summary
`java.lang.String` | `DEFAULT_MISSING_VALUE` The default missing value for each AttributeType.

Method Summary
`static Attribute.AttributeType` | `getAttributeType(java.lang.String theType)` Returns the AttributeType corresponding to the `String` parameter.
`static boolean` | `isValidBinaryFalseValue(java.lang.String theBooleanValue)`
`static boolean` | `isValidBinaryTrueValue(java.lang.String theBooleanValue)`
`static Attribute.AttributeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Attribute.AttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOMINAL

    public static final Attribute.AttributeType NOMINAL

### NUMERIC

    public static final Attribute.AttributeType NUMERIC

### ORDINAL

    public static final Attribute.AttributeType ORDINAL

### BINARY

    public static final Attribute.AttributeType BINARY

Field Detail

### DEFAULT_MISSING_VALUE

    public final java.lang.String DEFAULT_MISSING_VALUE

  The default missing value for each AttributeType. To set a different missing value use `Column.setNewMissingValue()`.

Method Detail

### values

    public static Attribute.AttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Attribute.AttributeType c : Attribute.AttributeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Attribute.AttributeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAttributeType

    public static Attribute.AttributeType getAttributeType(java.lang.String theType)

  Returns the AttributeType corresponding to the `String` parameter. If the corresponding AttributeType can not be found, the default AttributeType NOMINAL is returned. This method is case insensitive.

  Parameters:
    `theType` - the `String` corresponding to an AtrtibuteType.
  Returns:
    the AttributeType corresponding to the `String` parameter, or AttributeType NOMINAL if no corresponding AttributeType is found.

### isValidBinaryTrueValue

    public static boolean isValidBinaryTrueValue(java.lang.String theBooleanValue)

### isValidBinaryFalseValue

    public static boolean isValidBinaryFalseValue(java.lang.String theBooleanValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD